import os
import sys
import random
import json
import product_gen.generate_product
from argparse import ArgumentParser

if __name__ == "__main__":
    
    shape = "bio"
    output = "test"
    
    if not os.path.exists(os.getcwd() + "/" + output):
        os.makedirs(os.getcwd() + "/" + output)
    
    height = 1.5
    radius = 1.5
    color = [0.1, 0.1, 0.1]
    
    product_gen.generate_product.generate(shape, height, radius, color, output)

    shape_parameters = {"shape": shape, 
                        "height": height,
                        "radius": radius,
                        "color": color}
    with open(os.getcwd() + "/" + output + "/"+ output + '.json', 'w') as outfile:
        json.dump(shape_parameters, outfile)
